# Compiler options (imported variables are CC, ALL_CCFLAGS, GENCODE_FLAGS)
CPP             := $(CC) 
INCLUDES        =  -I../core -I../ -I.

# Output directory
OUTDIR		= ../../bin

# Export list of source files and dependences
DEPS		:=
OBJ		:=
include Makefile.list
OUTOBJ		= $(patsubst %,$(OUTDIR)/%,$(OBJ))

.PHONY: all clean compile

all: compile

compile: $(OUTOBJ)
$(OUTDIR)/%.o: %.cpp $(DEPS)
	$(EXEC) $(CPP) $(INCLUDES) $(ALL_CCFLAGS) $(GENCODE_FLAGS) -o $@ -c $<

clean:
	rm -f $(OUTOBJ)
